Subject: bug#39260: bug#41409: “guix pull” should show a progress bar for channel updates

From: Ludovic Courtès <[email-masked]>
Date: Mon, 12 Oct 2020 23:30:33 +0200

Ludovic Courtès <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> skribis:
>
>> Ricardo Wurmus <[email-masked]> skribis:
>>
>>> When I run “guix pull” (or “guix time-machine”) I see this message
>>>
>>>    Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
>>>
>>> followed by disconcerting silence.  I can’t tell if it’s doing
>>> something, nor can I see what the progress is.
>>
>> For the record, the main missing piece is in Guile-Git, which does not
>> yet provide bindings to the progress-report thingie for fetch
>> operations.
>
> I’ve added support for the ‘transfer-progress’ callback in Guile-Git:
>
>   https://gitlab.com/guile-git/guile-git/-/commit/7a3d97a72e7907213241f62d3bac926361f50f95

And now the Guix side of it:

  https://issues.guix.gnu.org/43968

> However, there’s an (unrelated) issue with libgit2 meaning that
> Guile-Git is not in a releasable state yet:
>
>   https://github.com/libgit2/libgit2/issues/5650

It’s a libgit2 bug but not a showstopper after all.

Ludo’.